ATA_PORT_DETACH(9)

NAME
ata_port_detach - Detach ATA port in prepration of device removal

SYNOPSIS

void ata_port_detach(struct ata_port * ap);

ARGUMENTS

ap
    ATA port to be detached

DESCRIPTION

Detach all ATA devices and the associated SCSI devices of ap; then, remove the associated SCSI host. ap is guaranteed to be quiescent on return from this function.

LOCKING

Kernel thread context (may sleep).

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT